Get information about all recipients in a recipient list
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}
clientIdinteger<int64>Client ID
recipientListIdinteger<int64>Recipient list ID
offsetinteger<int32><p>Starting point of the result list Default value : 0</p>
limitinteger<int32><p>Maximum number of recipients Default value : 100</p>
targetGroupinteger<int64>ID of the matching target group
attributeNamesarray<p>Comma-separated names of the fields whose recipient data is to be retrieved. Example: "firstname,lastname". Note: You must use the internal names of the recipient list fields.
To retrieve the attribute names of a recipient list, use the Recipient lists operation GET /recipientlists/{recipientListId}/attributeNames.</p>
includeOptinDataboolean<p>Specify whether the opt-in data fields should be returned. Only applicable for opt-in list</p>
sortstringSort result by specific criteria
directionstringSort order
acceptstringGenerated from available response content types
200All relevant recipients were retrieved successfully.
429Too many requests are used at the same time to retrieve recipients.
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}?sort=id&direction=ASC' \
--header 'accept: application/json'